## REST Resource: [selection.v1.projects.selectedRoutes](https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchCreate` | `POST /selection/v1/{parent=projects/*}/selectedRoutes:batchCreate` Creates multiple `SelectedRoute` resources and starts a schedule to periodically retrieve cache information for each of the routes. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchDelete` | `POST /selection/v1/{parent=projects/*}/selectedRoutes:batchDelete` Deletes multiple `SelectedRoute` resources for the specified project. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/batchUpdate` | `POST /selection/v1/{parent=projects/*}/selectedRoutes:batchUpdate` Updates multiple `SelectedRoute` resources as specified by their names. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/create` | `POST /selection/v1/{parent=projects/*}/selectedRoutes` Creates a SelectedRoute and starts a schedule to periodically retrieve cache information for the route. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/delete` | `DELETE /selection/v1/{name=projects/*/selectedRoutes/*}` Deletes the specified SelectedRoute for the specified project. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/get` | `GET /selection/v1/{name=projects/*/selectedRoutes/*}` Gets a SelectedRoute as specified by its name. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/list` | `GET /selection/v1/{parent=projects/*}/selectedRoutes` Lists all `SelectedRoute` resources for the specified project with pagination. |
| `https://developers.google.com/maps/documentation/roads-management-insights/reference/rest/v1/selection.v1.projects.selectedRoutes/patch` | `PATCH /selection/v1/{selectedRoute.name=projects/*/selectedRoutes/*}` Updates a SelectedRoute as specified by its name. |